import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { RouterModule, Routes } from "@angular/router";
import { AeropuertoListComponent } from "./view/aeropuerto-list/aeropuerto-list.component";
import { AuthGuard, ResourceAuthGuard } from "@xdf/security";

const routes: Routes = [
  {
    path: "airport",
    component: AeropuertoListComponent,
    canActivate: [AuthGuard, ResourceAuthGuard],
    data: {
      program: "CONVERSATIONAL_AIRPORT",
      // breadcrumb: ''
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AeropuertoRoutingModule {}
