import { ViewContainerRef } from '@angular/core';
import { IFormView, DynaDataService, AuditDialogService, ConfirmationDialogService, ValidatorUtils } from '@xdf/gallery';
import { FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { NotificationService, InitCommonsService } from '@xdf/commons';
import { NavigationService } from '@xdf/layouts';
import { ChangeSecretDialogService } from '../dialogs/change-secret-dialog/services/change-secret-dialog.service';
import { ApplicationService } from '../services/application.service';
import { ViewCredencialsDialogService } from '../dialogs/view-credencials-dialog/services/view-credencials-dialog.service';
export declare class ApplicationFormComponent extends IFormView {
    protected vcRef: ViewContainerRef;
    protected route: ActivatedRoute;
    protected router: Router;
    protected dynaDataService: DynaDataService;
    protected translate: TranslateService;
    protected notificationService: NotificationService;
    protected auditDialogService: AuditDialogService;
    protected confirmationDialogService: ConfirmationDialogService;
    protected navigationService: NavigationService;
    protected validatorUtils: ValidatorUtils;
    protected viewCredencialsService: ViewCredencialsDialogService;
    protected changeSecretService: ChangeSecretDialogService;
    protected applicationService: ApplicationService;
    protected init: InitCommonsService;
    dataDialog: any;
    statusOptions: {
        "styles": {
            "A": string;
            "I": string;
        };
    };
    statusValues: Array<any>;
    constructor(vcRef: ViewContainerRef, route: ActivatedRoute, router: Router, dynaDataService: DynaDataService, translate: TranslateService, notificationService: NotificationService, auditDialogService: AuditDialogService, confirmationDialogService: ConfirmationDialogService, navigationService: NavigationService, validatorUtils: ValidatorUtils, viewCredencialsService: ViewCredencialsDialogService, changeSecretService: ChangeSecretDialogService, applicationService: ApplicationService, init: InitCommonsService);
    ngOnInit(): void;
    submit(): void;
    private getDataDialog;
    protected getFields(): FormGroup;
    disabledCondition(controlName?: any): boolean;
    changeSecret(): void;
    showCredentials(): void;
}
