import { OnInit, ViewContainerRef } from "@angular/core";
import { IDirty } from "../../guards/dirty.guard";
import { FormGroup } from "@angular/forms";
import { ActivatedRoute, Router } from "@angular/router";
import { DynaDataService } from "../crud/services/dyna-data.service";
import { NotificationService, InitCommonsService } from "@xdf/commons";
import { AuditDialogService } from "../dialogs/audit-dialog/services/audit-dialog.service";
import { TranslateService } from "@ngx-translate/core";
import { ConfirmationDialogService } from "../dialogs/confirmation-dialog/services/confirmation-dialog.service";
import { Definition } from '../../template/model/definition';
export declare abstract class IFormView implements OnInit, IDirty {
    protected vcRef: ViewContainerRef;
    protected route: ActivatedRoute;
    protected router: Router;
    protected dynaDataService: DynaDataService;
    protected translate: TranslateService;
    protected notificationService: NotificationService;
    protected auditDialogService: AuditDialogService;
    protected confirmationDialogService: ConfirmationDialogService;
    protected init: InitCommonsService;
    form: FormGroup;
    id: any;
    resourceAuth: any;
    protected serviceURL: any;
    icon: string;
    templateDefinition: Definition;
    record: any;
    attributeTypes: Object;
    processing: boolean;
    protected returnUrl: any;
    mode: string;
    multiple: Array<any>;
    constructor(vcRef: ViewContainerRef, route: ActivatedRoute, router: Router, dynaDataService: DynaDataService, translate: TranslateService, notificationService: NotificationService, auditDialogService: AuditDialogService, confirmationDialogService: ConfirmationDialogService, init: InitCommonsService);
    ngOnInit(): void;
    optionEvent(option: any): void;
    protected abstract getFields(): FormGroup;
    isDirty(): boolean;
    getRef(): ViewContainerRef;
    submit(): void;
    updateForm(id: any, mode: any): void;
    protected getReturnURL(currentURL: string): string;
    protected postActionNew(): void;
    protected postActionEdit(): void;
    protected receiveResult(): void;
    protected validarMultiple(): boolean;
    protected completeForm(): void;
}
